Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ec.cgp
Class Stats

    java.lang.Object
      ec.Statistics
          ec.simple.SimpleStatistics
              ec.cgp.Stats

All Implemented Interfaces:
  ec.Setup, ec.Singleton, ec.steadystate.SteadyStateStatisticsForm, java.io.Serializable

    public class Stats

extends ec.simple.SimpleStatistics

Custom statistics for Cartesian Genetic Programming. Displays detailed information about any new individual found that exceeds the currently tracked best-of-run individual.

Author:
  David Oranchak, doranchak@gmail.com, http://oranchak.com
See Also:
  Serialized Form

Field Summary

Fields inherited from class ec.simple.SimpleStatistics
`best_of_run, P_COMPRESS, P_STATISTICS_FILE, statisticslog`

Fields inherited from class ec.Statistics
`children, P_CHILD, P_NUMCHILDREN`

Constructor Summary
`Stats()`

Method Summary
`void` | `postEvaluationStatistics(ec.EvolutionState state)` Logs the best individual of the generation.

Methods inherited from class ec.simple.SimpleStatistics
`finalStatistics, postInitializationStatistics, setup`

Methods inherited from class ec.Statistics
`generationBoundaryStatistics, individualsBredStatistics, individualsEvaluatedStatistics, postBreedingStatistics, postCheckpointStatistics, postInitialEvaluationStatistics, postPostBreedingExchangeStatistics, postPreBreedingExchangeStatistics, preBreedingStatistics, preCheckpointStatistics, preEvaluationStatistics, preInitialEvaluationStatistics, preInitializationStatistics, prePostBreedingExchangeStatistics, prePreBreedingExchangeStatistics`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ec.steadystate.SteadyStateStatisticsForm
`generationBoundaryStatistics, individualsBredStatistics, individualsEvaluatedStatistics, postInitialEvaluationStatistics, preInitialEvaluationStatistics, preInitializationStatistics`

Constructor Detail

### Stats

    public Stats()

Method Detail

### postEvaluationStatistics

    public void postEvaluationStatistics(ec.EvolutionState state)

  Description copied from class: `ec.simple.SimpleStatistics`
  Logs the best individual of the generation.

  Overrides:
    `postEvaluationStatistics` in class `ec.simple.SimpleStatistics`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD